Subject: problem with JDK and sending mail in Pine

From: "Ronald G. Boatner" <[email-masked]>
Date: Fri, 16 May 1997 12:49:48 -0500 (CDT)

I loaded a Java Development Kit on our Unix Dec Alpha 4.0 server. It calls
for a few environment variables to be set in my .login file. I have a line
in my .login file that is somehow conflicting with my ability to send mail
from Pine. The line is as follows:

setenv LD_LIBRARY_PATH /usr/bin/java/lib

If I comment this line out, I can send mail from Pine. If I don't comment
out this line, when I hit ctrl-x to send my composed message, I get the
following error:

Stack overflow: pid 22203, proc pine, addr 0x11fdffff0, pc 0x1200f52c8

I'm using Pine 3.96. I'll also attach a copy of my .login file just in
case.

Any ideas?

Thanks.

Ronald Boatner - Computer Resources
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= 
[email-masked]	
http://www.mindspring.com/~ricardo/
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

#
# *****************************************************************
# *                                                               *
# *    Copyright (c) Digital Equipment Corporation, 1991, 1996    *
# *                                                               *
# *   All Rights Reserved.  Unpublished rights  reserved  under   *
# *   the copyright laws of the United States.                    *
# *                                                               *
# *   The software contained on this media  is  proprietary  to   *
# *   and  embodies  the  confidential  technology  of  Digital   *
# *   Equipment Corporation.  Possession, use,  duplication  or   *
# *   dissemination of the software and media is authorized only  *
# *   pursuant to a valid written license from Digital Equipment  *
# *   Corporation.                                                *
# *                                                               *
# *   RESTRICTED RIGHTS LEGEND   Use, duplication, or disclosure  *
# *   by the U.S. Government is subject to restrictions  as  set  *
# *   forth in Subparagraph (c)(1)(ii)  of  DFARS  252.227-7013,  *
# *   or  in  FAR 52.227-19, as applicable.                       *
# *                                                               *
# *****************************************************************
#
#
# HISTORY
#
# @(#)$RCSfile: .login,v $ $Revision: 4.1.7.3 $ (DEC) $Date: 1995/10/25 20:03:52 $
#
if ($?path) then
    set path=($path $HOME/bin)
else
    set path=(/usr/bin $HOME/bin .)
endif
if ( ! ${?DT} ) then
	stty dec new
	tset -I -Q
endif
set prompt="`hostname`> "
set mail=/usr/spool/mail/$USER
setenv TERM vt100
setenv CLASSPATH /usr/bin/java/classes
setenv TESTVAR testvalue
setenv TESTVAR2 testvalue2
# setenv LD_LIBRARY_PATH /usr/bin/java/lib
# previous line conflicts with sending mail in Pine